Create Payment
https://api.druo.com/payments/createCreates a payment request and initiates a transaction.
This endpoint creates a Transaction object to process a payment. It supports split payments through the additional recipients parameter and allows scheduling for future processing.
Request body
The ID of the tenant that originated the transaction.
The amount of money in the smallest denomination of the currency (e.g., cents for USD). For example, $10.00 USD is represented as 1000.
A description of the transaction, which may be visible to users in email receipts.
If set to true, the system will automatically generate and send a receipt using the preferred delivery method.
The ID of the account used to fund this transaction.
The description reported to financial institutions to appear on your customers' bank statements. Must contain at least one letter and be between 4 and 22 characters. This request may or may not be honored by the institution.
The ID of the merchant or sub-merchant to associate with this transaction.
The ID of the smart retry sequence to associate with this transaction.
The currency code in ISO 4217 format (e.g., USD).
An optional primary ID to associate with the transaction for your own database mapping. Maximum 40 characters.
An optional secondary ID to associate with the transaction for your own database mapping. Maximum 40 characters.
A set of up to 50 key-value pairs that you can attach to the object. Key names can be up to 40 characters and values up to 500 characters.
An array of objects specifying split payment details among multiple merchants.
The date on which this transaction will be processed. Must be a future date in YYYY-MM-DD format.
Response
The current status of the transaction.
CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSEDSUCCESSFULThe details of the tenant that originated the transaction.
{"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}The source platform where the transaction was created.
MERCHANT_PORTALThe description of this transaction.
Insurance policy renewal - INV12324Additional internal remarks or context about the transaction status.
REQUESTED_BY_MERCHANTThe funding source account details.
{"uuid": "acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The descriptor that appears on bank statements.
NOVO BILLING* INV12324The primary database reference ID associated with the transaction.
ABC123The secondary database reference ID associated with the transaction.
bj39fhow39fhqp3f0hfae4344Custom metadata key-value pairs associated with the transaction.
{"order_id": "6735"}The reason the transaction was declined, if applicable.
INSUFFICIENT_FUNDSIndicates whether a transaction receipt will be automatically sent.
falseThe scheduled date on which this transaction will be processed.
2021-11-15The timestamp when the transaction was created, in GMT.
2021-11-15T23:23:38The timestamp when the transaction was last updated, in GMT.
2021-11-15T23:23:38The transactional detailed breakdown of corresponding split payments created for additional recipients.

